<?php
checkLogin('usr');
$serv_cod = 'pps';
checkEnteService($serv_cod);
include("functions.inc.php");
include(ROOT."/includes/modules/anagrafiche/functions.inc.php");
include(ROOT."/includes/modules/servizi/functions.inc.php");


//rimuovi delegato
if(isset($_GET['rdel'])){
	del_delegato($_GET['rdel'],$serv_cod);
}

$anagr_id = intval($_REQUEST['id']);	

//cerco fra le mie anagrafiche di questo servizio
if($anagr_id > 0){
	check_my_anagr($anagr_id);
}else if($anagr = get_anagr(false,array('flt_serv_cod'=>$serv_cod))){
	$anagr = current($anagr['list']);
	$anagr_id = $anagr['anagr_id'];
}

//elimina
if(isset($_GET['del'])){
	$serv_id = get_servizio_id($serv_cod);
	$mysqli->query("DELETE FROM servizi_anagr WHERE anagr_id = ".$anagr_id." AND serv_id=".$serv_id);	
	clear_anagr_servizi($anagr_id);	
	usrlog("Servizio ".get_serv_name($serv_cod)." - Alunno: %s. Eliminato dal servizio",$anagr_id,true); //log 
	Js('window.location="./"');
	die();
}

//estraggo impostazioni
$s = get_servpps($anagr_id);
$allowed_grp = get_grp_allowed($serv_cod,'cong');
$allowed_js = 'var arr_allowed = ['.implode(',',array_keys($allowed_grp)).'];';

//salvo impostazioni
if(isset($_POST['save'])){
		
	$anagr_has_serv = anagr_has_serv($anagr_id,$serv_cod);
	if(!$anagr_has_serv){
		
		if(intval($_POST['scuola']) == 0)
			printMsg('Selezionare la <strong>Scuola frequentata</strong>',"danger");
		if(intval($_POST['classe']) == 0)
			printMsg('Selezionare la <strong>Classe frequentata</strong>',"danger");

		$result = $mysqli->query("INSERT INTO serv_".$serv_cod." (anagr_id,scuola_id,classe_id) VALUES (".$anagr_id.",".intval($_POST['scuola']).",".intval($_POST['classe']).")");
		if(!$result)
			printMsg("Errore durante il salvataggio, contattare l'Ente","danger");
		
		//assegnazione al servizio
		if(!assign_anagr_servizio($anagr_id,$serv_cod))
			printMsg("Errore durante l'assegnazione al servizio, contattare l'Ente","danger");

	}

	$result = $mysqli->query("
	UPDATE serv_pps SET
	servpps_sospeso = ".intval($_POST['sospeso']).",
	servpps_pre = ".intval($_POST['pres']).",
	servpps_post = ".intval($_POST['posts']).",
	servpps_congedo = ".intval($_POST['congedo'])."
	WHERE anagr_id = ".$anagr_id);

	if(!$result)
		printMsg("Errore durante il salvataggio","danger");

	//log sospensione
	if($s['servpps_sospeso'] <> intval($_POST['sospeso'])){
		if(intval($_POST['sospeso']) == 1)
			usrlog("Servizio ".get_serv_name($serv_cod)." - Alunno: %s. Sospeso il servizio",$anagr_id,true); //log 
		else
			usrlog("Servizio ".get_serv_name($serv_cod)." - Alunno: %s. Ripreso il servizio",$anagr_id,true); //log 
	}

	
	Js('$(".hide-on-save").hide();');
	
	if(isset($_GET['newanagr']))
		printMsg("<strong>Complimenti, l'iscrizione al servizio Pre / Post scuola &egrave; avvenuta con successo!</strong><br /><br />Ti ricordiamo che, se vorrai apportare modifiche, potrai potrai farlo direttamente da questa applicazione","success");
	else
		printMsg("Salvataggio modifiche avvenuto con successo!","success");

}
include("menu.inc.php");
$p = new Page('Servizio Pre / Post scuola');
$p->addMenu('logged');
$p->addModuleJs('script','servizi');
$p->printHeader();
?>

<div class="row">
	<div class="col-xs-9 col-sm-10">
		<h3 class="p-title"><a class="btn-back" href="../../home/usr/"><span class="glyphicon glyphicon-chevron-left"></span></a> Servizio Pre / Post scuola</h3>
    </div>
	<div class="col-xs-3 col-sm-2"><?php print_optMenu('usr_conf');?></div>
</div>

<div class="panel panel-default">
	<div class="panel-body">
	
    <?php if($anagr_id > 0) : ?>
    
    <form role="form" class="form-horizontal" name="anagr_serv" action="<?php echo $_SERVER['REQUEST_URI'];?>" onSubmit="return post(this,'result_anagr_serv')">
        <?php print_serv_anagr_select($anagr_id,$serv_cod); ?>
        
        <div class="hide-on-save">
        <div class="form-group form-subtitle"><h4>Scuola frequentata</h4></div>
        
        <ul class="list-group">
            <li class="list-group-item">                
                <div class="row no-readonly">
                    <div class="col-sm-8">
                        <div class="row">
                        	<label class="control-label col-sm-2 xs-ptop-0">Scuola</label>
                            <div class="col-sm-8">
                        		<?php 
								foreach(get_gruppi($serv_cod) as $grpid=>$name){

									if($grpid == $s['scuola_id']){
										$scuola = $name;
										$sel = ' selected';
									}else{
										$sel = '';	
									}
									$opts_scuola .='<option value="'.$grpid.'"'.$sel.'>'.$name.'</option>';

								}
								
								if(!$s['scuola_id']) {
									echo '
									<select class="form-control" name="scuola" onChange="selXmlPop(\'#classe\',\'sottogruppi\',this.value)">
									<option value=""></option>'.$opts_scuola.'</select>';
									
								}else{
									echo '<p class="form-control-static">'.$scuola.'</p>';
								}
								?>
                            </div>
                        </div>
                    </div>
                    
                    <div class="col-sm-4">
                        <div class="row">
                        	<label class="control-label col-sm-4">Classe</label>
                            <div class="col-sm-8">
                        		<?php 
								if(!$s['scuola_id']) {
									echo '<select class="form-control" name="classe" id="classe" disabled></select>';
								}else{
									$gruppi = get_gruppi($serv_cod,$s['scuola_id']);
									echo '<p class="form-control-static">'.$gruppi[$s['classe_id']].'</p>';
								}
								?>
                            </div>
                        </div>
                    </div>
                </div>
            </li>
        </ul>

    	<div class="row">
			<div class="col-sm-6">

        		<div class="form-group form-subtitle"><h4>Impostazioni servizio</h4></div>
	            
                <ul class="list-group">
                    <li class="list-group-item">
                        <div class="row">
                            <label class="control-label col-xs-6 col-md-4" for="pres">PRE Scuola</label>
                            <div class="col-xs-6 col-sm-6 col-md-4 text-right">
                                <input type="checkbox" name="pres" id="pres" value="1" class="switch-btn"<?php if($s['servpps_pre'] == 1) echo ' checked';?> />
                            </div>
                        </div>
                    </li>
                    <li class="list-group-item">
                        <div class="row">
                            <label class="control-label col-xs-6 col-md-4" for="posts">POST Scuola</label>
                            <div class="col-xs-6 col-sm-6 col-md-4 text-right">
                                <input type="checkbox" name="posts" id="posts" value="1" class="switch-btn"<?php if($s['servpps_post'] == 1) echo ' checked';?> />
                            </div>
                        </div>
                    </li>
                
                    <li class="list-group-item">
                        <div class="row">
                            <label class="control-label col-xs-6 col-md-4" for="sospeso">Sospendi</label>
                            <div class="col-xs-6 col-sm-6 col-md-4 text-right">
                                <input onChange="servsosp(this)" type="checkbox" name="sospeso" id="sospeso" value="1" class="switch-btn"<?php if($s['servpps_sospeso'] == 1) echo ' checked';?> />
                            </div>
                        </div>
                    </li>
                </ul>
                
            </div>
            
			<div class="col-sm-6">

                <div class="form-group form-subtitle"><h4>Delegati al ritiro del minore</h4></div>
                <div class="form-block-descr">
                In caso di personale indisponibilit&agrave;, a ritirare il minore entro il termine del servizio post scuola, indicare fino ad un massimo di 4 delegati maggiorenni.
                </div>
                <ul class="list-group">
                    <li class="list-group-item">
                        <div id="delegati-add">
                            <button type="button" class="btn btn-primary" onClick="confDelegato('<?php echo $serv_cod;?>','<?php echo $s['anagr_id'];?>')">
                                <span class="glyphicon glyphicon-plus"></span> Aggiungi
                            </button>
                            <input type="hidden" id="n_delegati" value="10" />
                        </div>
                        <div class="form-group">
                            <div id="delegati" class="col-xs-12"></div>
                        </div>
                    </li>
                </ul>   

			</div>            
        </div>  
        
        
        <div id="block-congedo" class="hidden">
        <div class="form-group form-subtitle"><h4>Congedo del minore</h4></div>
        <div class="form-block-descr text-justify">
        <strong>Acconsentire</strong>, in caso di temporanea impossibilit&agrave; a provvedere al recupero dell'iscritto, a che l'alunno <strong>si congedi autonomamente</strong> dal servizio post scuola, sollevando fin d'ora da ogni implicazione il personale preposto all'assistenza degli iscritti ed assumendo a proprio carico ogni responsabilit&agrave; derivante dalla mancata custodia del minore.
        </div>
        <div class="row">
            <div class="col-sm-6 col-md-4">
                <ul class="list-group">
                    <li class="list-group-item">
                        <div class="row">
                            <label class="control-label col-xs-5 col-sm-4" for="congedo">Acconsento</label>
                            <div class="col-xs-7 col-sm-8 text-right">
                                <input type="checkbox" name="congedo" id="congedo" value="1" class="switch-btn"<?php if($s['servpps_congedo'] == 1) echo ' checked';?> />
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </div>
		</div>
		</div>

		<div id="result_anagr_serv"></div>
        
        <div class="form-buttons">
            <button type="submit" class="btn btn-primary hide-on-save">Salva</button>
            <button type="button" class="btn btn-default" onClick="goto('../../home/usr/')">Torna al menu</button>
        </div>
        
        <input type="hidden" name="save" value="1" />
        <input type="hidden" name="id" value="<?php echo $anagr_id;?>" />


	</form>
 
 
 	<?php else : ?>
    <div class="alert alert-info"><h4>Devi effettuare una registrazione al servizio Pre / Post scuola?</h4>Allora clicca sul pulsante verde <strong> Opzioni <span class="glyphicon glyphicon-cog"></span> </strong>, in alto a destra, e scegli <strong>Nuova iscrizione</strong></div>
    <div class="text-center">
        <a href="../../home/usr/" class="btn btn-default">Pagina principale</a>
    </div>
    <?php endif ?>
 
    
    </div>
</div>

<script>
<?php
if($s['delegati'])
	foreach($s['delegati'] as $k=>$v)
		  echo 'addDelegato('.$k.',"'.entities($v).'","'.$serv_cod.'",'.$s['anagr_id'].');';
?>
$(function(){
	btnDelegati();
	servsosp($('[name="sospeso"]'));
	allow_congedo(<?php echo $s['classe_id'];?>);	
});
	
function allow_congedo(val){
	<?php echo $allowed_js;?>
	if(jQuery.inArray(parseInt(val),arr_allowed) == -1)
		$('#block-congedo').addClass('hidden');
	else
		$('#block-congedo').removeClass('hidden');
}

</script>
<?php
$p->printFooter();
?>
